<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Image plugin</title>
</head>

<body>

<h1 align=center>My Image-processing Plug-in (MIP)</h1>

<p align= "justify">The MIP (My Image-processing Plug-in) allows the user
to manipulate and process image on Eclipse. It is implemented by using pure SWT
image support in fully Java code. For some computation intensive method, you may
consider to use some native methods to speed up the processing, this is not
implemented in this implementation.</p>

<p align= "justify">MIP has been tested on following OS:</p>

<ol>
  <li>
    <p align="justify">win32/win32/x86</li>
  <li>
    <p align="justify">linux/gtk/x86</li>
  <li>
    <p align="justify">macosx/carbon/ppc</li>
</ol>
<p align="justify">For 1), it works very well.&nbsp;</p>
<p align="justify">For 2), there is one exception when I try to move the pencil
tool to fill rectangle. (This exception came form native code outside VM, the trouble file is:
/usr/lib/libgdk-x11-2.0.so.0.)</p>
<p align="justify">For 3), the image rendering function from Eclipse seems not
works perfect on Mac. I doubt there are some functions needed to be enhanced.</p>
<p align="justify">If you have any problem about this plug-in, please contact:</p>
<p align="justify">Chengdong Li</p>
<p align="justify">cli4@uky.edu</p>

</body>

</html>
